<template>
  <app-form-dialog
    :title="`Delete group ?`"
    :name="name"
    :loading="loading"
    :on-submit="onSubmit"
  >
    <div class="body--dark">
      {{ description }}
    </div>
  </app-form-dialog>
</template>

<script>
import { useI18n } from 'vue-i18n';
import AppFormDialog from 'src/components/dialogs/AppDialogForm';
import { ref, computed } from 'vue';
import { useDialog } from 'src/hooks/dialogs-provider';
import { useGroupMutation } from 'src/hooks/groups';

export default {
  name: 'DialogGroupDelete',
  components: { AppFormDialog },
  setup() {
    const name = ref('dialog-group-delete');

    const { t } = useI18n();

    const { deleteGroup, groupIsDeleting } = useGroupMutation();

    const { dialogProps } = useDialog(name);

    const loading = computed(() => groupIsDeleting.value);

    const description = computed(() =>
      t(`Are you sure you
       want to delete group ${dialogProps.value.name}`),
    );

    const onSubmit = () =>
      Promise.resolve().then(() => {
        deleteGroup(dialogProps.value);
      });

    return {
      name,
      dialogProps,
      loading,
      onSubmit,
      description,
    };
  },
};
</script>
